#include "Aufgabe_1_epr_03.h"
#include "Aufgabe_2_epr_03.h"
#include "Hilfen.h"
#include <stdio.h>
#include <stdlib.h>

int printTable(double dStartwert, double dEndwert, double dSchrittweite)
{
	if (!(dSchrittweite != 0))
	{
		printf_s("printTable: Schrittweite darf nicht 0 sein!");
		return 0;
	}
	if (!(dStartwert != dEndwert))
	{
		printf_s("printTable: Start und Endwert identisch! Macht keinen Sinn...");
		return 0;
	}
	if ((dEndwert < dStartwert))
	{
		printf_s("printTable: Endwert kleiner Startwert... Macht keinen Sinn...");
		return 0;
	}

	double dKursEuroDoller = 1.34857; //Stand http://www.oanda.com/lang/de/currency/converter/ Wechselkurs am Montag, den 4 November 2013
	double dKursDollerEuro = 0.74; //Stand http://www.oanda.com/lang/de/currency/converter/ Wechselkurs am Montag, den 4 November 2013

	double dCurrentValue = dStartwert;
	printf_s("Benutzer Kurs:\nEuro->Doller: %lf\nDoller->Euro: %lf\n\n", dKursEuroDoller, dKursDollerEuro);
	printf_s("     Euro  |  Dollar       Dollar  |  Euro\n");
	printf_s("---------- + ---------- ---------- + ----------\n");
	do
	{
		printf_s("%10.2lf | %8.2lf %12.2lf | %8.2lf\n", dCurrentValue, euro2doller(dCurrentValue, dKursEuroDoller), dCurrentValue, doller2euro(dCurrentValue, dKursDollerEuro));
		dCurrentValue += dSchrittweite;
	} while (dCurrentValue <= dEndwert);
	return 1;
}

void aufgabe_2()
{
	
	double dStartwert = 0.0;
	double dEndWert = 0.0;
	double dStep = 0.0;
	
	readDouble(&dStartwert,"Bitte einen Startwert eingeben:");
	printf_s("\n");
	readDouble(&dEndWert, "Bitte einen Endwert eingeben:");
	printf_s("\n");
	readDouble(&dStep, "Bitte die Schrittweite eingeben:");
	printf_s("\n");
	printTable(dStartwert, dEndWert, dStep);
}