#include "Aufgabe_3_epr_03.h"
#include "Hilfen.h"
#include <stdlib.h>
#include <stdio.h>
int monateImJahr()
{
	return 12;
}

//Rckgabewert als boolean behandeln
int isSchaltjahr(int nJahr)
{
	return (nJahr % 4 == 0 && nJahr % 100 != 0) || nJahr % 400 == 0 ? 1 : 0;
}

int tageImMonat(int nMonat)
{
	if (nMonat < 1 || nMonat > 12)
		return -1;

	int aMonate[12] = { 0 };

	aMonate[0] = 31;  /* Januar    */
	aMonate[1] = 28;  /* Februar   */
	aMonate[2] = 31;  /* Mrz      */
	aMonate[3] = 30;  /* April     */
	aMonate[4] = 31;  /* Mai       */
	aMonate[5] = 30;  /* Juni      */
	aMonate[6] = 31;  /* Juli      */
	aMonate[7] = 31;  /* August    */
	aMonate[8] = 30;  /* September */
	aMonate[9] = 31;  /* Oktober   */
	aMonate[10] = 30; /* November  */
	aMonate[11] = 31; /* Dezember  */

	return aMonate[nMonat - 1];
}

// 1 Datum korrekt
// 0 Tag ist zu grer als Monat Tage hat
//-1 Tag ist zu klein
//-2 Monat existiert nicht
//-3 Jahr ist kleiner 0
//-4 Ausnahmefall Kalendarreform
int pruefeDatum(int nTag, int nMonat, int nJahr)
{

	if (nJahr < 0)
		return -3;

	if (nTag < 0)
		return -1;

	if (tageImMonat(nMonat) == -1)
		return -2;

	if (isSchaltjahr(nJahr) && nMonat == 2)
	{
		if (tageImMonat(nMonat) + 1 < nTag)
			return 0;
	}
	else
	{
		if (tageImMonat(nMonat) < nTag)
			return 0;
	}

	if (nJahr == 1582 && nMonat == 10 && (nTag >4 && nTag < 15))
		return -4;

	return 1;
}

void aufgabe_3()
{
	int nTag = 1;
	int nMonat = 1;
	int nJahr = 2000;

	readInt(&nTag,"Bitte einen Tag eingeben:");
	printf_s("\n");
	readInt(&nMonat, "Bitte einen Monat eingeben:");
	printf_s("\n");
	readInt(&nJahr, "Bitte einen Jahr eingeben:");
	printf_s("\n");

	switch (pruefeDatum(nTag, nMonat, nJahr))
	{
	case -4:
		printf_s("Das Datum ist falsch.(Kalendarreform 4.10.1582 bis 15.10.1582)\n");
		break;
	case -3:
		printf_s("Das Datum ist falsch.(Jahr ung\x81ltig)\n");
		break;
	case -2:
		printf_s("Das Datum ist falsch.(Monat ung\x81ltig)\n");
		break;
	case -1:
		printf_s("Das Datum ist falsch.(Tag ung\x81ltig)\n");
		break;
	case 0:
		printf_s("Das Datum ist falsch.(Tag ist ung\x81ltig im Monat)\n");
		break;
	case 1:
		printf_s("Das Datum ist korrekt.\n");
		break;
	default:
		printf_s("Datum kann nicht ermittelt werden.\n");
		break;
	}
	
}